##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=Set configurations
##

## Script (Python) "prefs_navigation_form_validate"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind state=state
##bind subpath=traverse_subpath
##parameters=
##title=
##
##
from Products.CMFCore.utils import getToolByName
from Products.CMFPlone import PloneMessageFactory as _

request = context.REQUEST

required = ('min_tags_size', 'max_tags_size', 'max_tags')
intvals = ('min_tags_size', 'min_tags_size', 'max_tags')

for k in required:
    v = request.form.get(k, '').strip()
    if not v:
        state.setError(k, _(u'Input is required but not given.'))
for k in intvals:
    v = request.form.get(k, '').strip()
    if v:
        try:
            int(v)
        except ValueError:
            state.setError(k, _(u'Input must be an integer.'))

if state.getErrors():
    return state.set(status='error', portal_status_message="Please correct the indicated errors.")
else:
    context.tag_cloud_explorer_tool.updateProperties(**context.REQUEST.form)
    return state.set(status="success", portal_status_message="Tag cloud properties updated")

