# -*- coding: utf-8 -*-
## Copyright (C) 2007 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


# CMF imports
from Products.CMFCore import permissions
from os.path import join
try:
    from commons import *
except:
    pass

GLOBALS = globals()
PROJECT_NAME = "TagCloudExplorer"
PROJECT_TITLE = "Tag Cloud Explorer"
SKIN_NAME = "tag_cloud_explorer"

SKIN_MAIN = join("skins", SKIN_NAME)
#SKIN_OVERLOAD = "skins/advanced_search_overload"

CSS_MAIN = SKIN_NAME + ".css"

CONFIG_PERMISSION = permissions.ManagePortal
USE_PERMISSION = permissions.View


CONFIGLET_ID = PROJECT_NAME +'Conf'
CONFIGLET_LAYER = 'conf_' + SKIN_NAME
ICON = SKIN_NAME + '_icon.gif'

PORTLETS = ('portlet_'+SKIN_NAME,)

# Configlets to be added to control panels or removed from them
configlets = (
    {
        'id'         : CONFIGLET_ID,
        'name'       : PROJECT_TITLE + " Preferences",
        'action'     : 'string:${portal_url}/' + CONFIGLET_LAYER,
        'condition'  : '',
        'category'   : 'Products',    # section to which the configlet should be added:
                                      # (Plone,Products,Members)
        'visible'    : 1,
        'appId'      : PROJECT_NAME,
        'permission' : CONFIG_PERMISSION,
        'imageUrl'   : ICON,
    },
)


CACHE_MANAGER = 'TagCloudExplorerCache'
